OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | List of all members
OpenMesh::PolyMesh_ArrayKernel_GeneratorT< Traits > Struct Template Reference

Helper class to build a PolyMesh-type. More...

`#include <OpenMesh/Core/Mesh/PolyMesh_ArrayKernelT.hh>`

## Public Types

typedef FinalMeshItemsT < Traits, false > | MeshItems
typedef AttribKernelT < MeshItems, PolyConnectivity > | AttribKernel
typedef PolyMeshT< AttribKernel > | Mesh

## Detailed Description

### template<class Traits>
struct OpenMesh::PolyMesh_ArrayKernel_GeneratorT< Traits >

Helper class to build a PolyMesh-type.

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Mesh/PolyMesh_ArrayKernelT.hh